require "numru/ggraph"
include NumRu

#ncfn = "out/abscoef.1line.nc"
ncfn = "out/abscoef.dwn1e1.nc"
ncfn = "out/abscoef.dwn1e0.nc"
ncfn = "abscoef.nc"
vname = "AbsCoef"
klev  = 0

gphys = GPhys::IO.open( ncfn, vname )

z = gphys.axis('WaveNum').pos.convert_units( Units['cm-1'] )
gphys.axis('WaveNum').set_pos(z)

wn = gphys.coord('WaveNum').val
gphys = gphys.cut('WaveNum'=>wn[1]..wn[-1])

gphys1 = gphys.cut('LevNum'=>klev+1).cut('MolNum'=>1)
gphys2 = gphys.cut('LevNum'=>klev+1).cut('MolNum'=>2)

#wn = gphys.coord('WaveNum').val
#wn = wn * 1e-2
#varraytime = VArray.new( wn,
#                         { "long_name"=>'wavenumber',
#                           "units"=>'cmdegree' }, "ls" )
#gphys.axis('ls').set_pos(varraytime)

gphys1 = gphys1 * 1e4 + 1e-40
gphys2 = gphys2 * 1e4 + 1e-40

#gphys1 = gphys1 / ( 0.998 / 1858.0e-6 )

iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; DCL::sgpwsn; gets)).to_i
DCL.gropn(iws)

#DCL.sldiv('y',1,4)
DCL.sgpset('isub', 96)     # control character of subscription: '_' --> '`'
DCL.sgpset('lfull',true)
DCL.uzfact(0.6)            # font size
DCL.sgpset('lclip', true)  # clip graph
DCL.glpset('lmiss',true)   # missing value

#DCL.sgscmn(4)  # blue-cyan-white-yellow-red
#DCL.sgscmn(5)  # gray-scale
#DCL.sgscmn(14) # blue-white-red

#levels = [110,120,130,140,150,160,170,180,190,200,210,220,230,240]
#patterns = [10999,15999,20999,25999,30999,35999,40999,50999,60999,65999,70999,75999,80999,90999,95999]

#GGraph.set_fig 'itr'=> 2, 'viewport'=>[0.1,0.95,0.15,0.6], 'window'=>[0,2500,10**(-27.5),1e-15]
#GGraph.set_fig 'itr'=> 2, 'viewport'=>[0.1,0.95,0.15,0.6], 'window'=>[2500,5000,10**(-27.5),1e-15]
#GGraph.set_fig 'itr'=> 2, 'viewport'=>[0.1,0.95,0.15,0.6], 'window'=>[5000,10000,10**(-27.5),1e-15]
#GGraph.set_fig 'itr'=> 2, 'viewport'=>[0.1,0.95,0.15,0.6], 'window'=>[10000,50000,10**(-27.5),1e-15]
#GGraph.set_fig 'itr'=> 2, 'viewport'=>[0.1,0.95,0.15,0.6], 'window'=>[675,700,10**(-27.5),1e-15]
#GGraph.set_fig 'itr'=> 4, 'viewport'=>[0.1,0.95,0.15,0.6], 'window'=>[10,50000,10**(-27.5),1e-15]
GGraph.set_fig 'itr'=> 2, 'viewport'=>[0.1,0.95,0.15,0.6], 'window'=>[10,2500,10**(-30),1e-15]

#GGraph.tone gphys, true     #, 'lev'=>levels, 'pat'=>patterns
#GGraph.contour gphys, false #, 'lev'=>levels
#GGraph.color_bar

GGraph.line gphys1, true , 'index'=>10, 'legend'=>'H2O (kspectrum)', 'legend_vx'=>0.2
GGraph.line gphys2, false, 'index'=>20, 'legend'=>'CO2 (kspectrum)', 'legend_vx'=>0.2


ncfn = "../../radmodels/radmodels-2018-08-01_test_earlyMars/lbl_k-dist/prog02.0_calc_ac/out_dwn1e1/Test_Ps1atm_T250K_ac.nc"
ncfn = "../../radmodels/radmodels-2018-08-01_test_earlyMars/lbl_k-dist/prog02.0_calc_ac/out_dwn1e1_nocnt/Test_Ps1atm_T250K_ac.nc"
ncfn = "../../radmodels/radmodels-2018-08-01_test_earlyMars/lbl_k-dist/prog02.0_calc_ac/out/Test_Ps1atm_T250K_ac.nc"
ncfn = "../../radmodels/radmodels-2018-08-05_test_comp_kspectrum/lbl_k-dist/prog02.0_calc_ac/out/Test_Ps1atm_T250K_ac.nc"
vname = "AbsCoef"

gphys = GPhys::IO.open( ncfn, vname )

z = gphys.axis('WaveNum').pos.convert_units( Units['cm-1'] )
gphys.axis('WaveNum').set_pos(z)

press = gphys.coord('Press').val
gphys1 = gphys.cut('MolNum'=>1).cut('Press'=>press[klev])
gphys2 = gphys.cut('MolNum'=>2).cut('Press'=>press[klev])

#gphys1 = gphys1 / 1e-06
#gphys2 = gphys2 / 0.999

gphys1 = gphys1 * 1e4 + 1e-40
gphys2 = gphys2 * 1e4 + 1e-40

GGraph.line gphys1, false, 'index'=>30, 'legend'=>'H2O', 'legend_vx'=>0.2
GGraph.line gphys2, false, 'index'=>40, 'legend'=>'CO2', 'legend_vx'=>0.2

DCL.grcls
